diff -U3 -r hsfmodem-old/modules/osnvm.c hsfmodem/modules/osnvm.c
--- hsfmodem-old/modules/osnvm.c	2006-02-07 16:30:11.000000000 +0000
+++ hsfmodem/modules/osnvm.c	2006-02-12 08:08:54.000000000 +0000
@@ -318,7 +318,7 @@
 static const char cnxt_nvmdir_static[] = CNXTNVMDIR;
 static const char cnxt_nvmdir_dynamic[] = CNXTNVMDIR "/dynamic";
 
-static const UINT16 g_DefaultCountryCode = 0xB5; /* USA */
+static const CXT_UINT16 g_DefaultCountryCode = 0xB5; /* USA */
 
 static const PROFILE_DATA g_FactoryProfile = {
 	1,							// Echo
@@ -384,7 +384,7 @@
     struct list_head link;
     char *pathname;
     PVOID pBuf;
-    UINT32 dwSize;
+    CXT_UINT32 dwSize;
     enum NVM_FORMAT nvmFormat;
 } nvmelem_t;
 
@@ -392,7 +392,7 @@
 static DECLARE_MUTEX(nvmelem_writelist_sem);
 
 /* nvmelem_writelist_sem must be held by caller */
-static BOOL NVM_WriteListAppend(const char *pathname, PVOID pBuf, UINT32 dwSize, enum NVM_FORMAT nvmFormat)
+static CXT_BOOL NVM_WriteListAppend(const char *pathname, PVOID pBuf, CXT_UINT32 dwSize, enum NVM_FORMAT nvmFormat)
 {
 	nvmelem_t *nel;
 
@@ -416,12 +416,12 @@
 
 
 /* Write pBuf to file as sequence of two-digit hex bytes */
-static BOOL
-NVM_WriteFileData(FILE *file, const char *pathname, PVOID pBuf, UINT32 dwSize, enum NVM_FORMAT nvmFormat)
+static CXT_BOOL
+NVM_WriteFileData(FILE *file, const char *pathname, PVOID pBuf, CXT_UINT32 dwSize, enum NVM_FORMAT nvmFormat)
 {
     char buf[MAX_OEM_STR_LEN + 4], *dp;
     unsigned char *p;
-    UINT32 size;
+    CXT_UINT32 size;
     int errno;
 
     p = pBuf;
@@ -443,10 +443,10 @@
 	sprintf (dp, "%02X\n", *p++);
 	dp += 3;
 
-    } else if((nvmFormat == NVM_FORMAT_HEXSHORTS) && !(dwSize % sizeof(UINT16))) {
-	for (size = sizeof(UINT16); size < dwSize; size += sizeof(UINT16)) {
-	    sprintf (dp, "%04X,", *(UINT16*)p);
-	    p += sizeof(UINT16);
+    } else if((nvmFormat == NVM_FORMAT_HEXSHORTS) && !(dwSize % sizeof(CXT_UINT16))) {
+	for (size = sizeof(CXT_UINT16); size < dwSize; size += sizeof(CXT_UINT16)) {
+	    sprintf (dp, "%04X,", *(CXT_UINT16*)p);
+	    p += sizeof(CXT_UINT16);
 	    dp += 5;
 	    if(((size) % 16) == 0) {
 		*dp++ = '\n';
@@ -457,14 +457,14 @@
 		dp = buf;
 	    }
 	}
-	sprintf (dp, "%04X\n", *(UINT16*)p);
-	p += sizeof(UINT16);
+	sprintf (dp, "%04X\n", *(CXT_UINT16*)p);
+	p += sizeof(CXT_UINT16);
 	dp += 5;
 
-    } else if((nvmFormat == NVM_FORMAT_HEXLONGS) && !(dwSize % sizeof(UINT32))) {
-	for (size = sizeof(UINT32); size < dwSize; size += sizeof(UINT32)) {
-	    sprintf (dp, "%08X,", *(UINT32*)p);
-	    p += sizeof(UINT32);
+    } else if((nvmFormat == NVM_FORMAT_HEXLONGS) && !(dwSize % sizeof(CXT_UINT32))) {
+	for (size = sizeof(CXT_UINT32); size < dwSize; size += sizeof(CXT_UINT32)) {
+	    sprintf (dp, "%08X,", *(CXT_UINT32*)p);
+	    p += sizeof(CXT_UINT32);
 	    dp += 9;
 	    if(((size) % 16) == 0) {
 		*dp++ = '\n';
@@ -475,8 +475,8 @@
 		dp = buf;
 	    }
 	}
-	sprintf (dp, "%08X\n", *(UINT32*)p);
-	p += sizeof(UINT32);
+	sprintf (dp, "%08X\n", *(CXT_UINT32*)p);
+	p += sizeof(CXT_UINT32);
 	dp += 9;
 
     } else if(nvmFormat == NVM_FORMAT_STRING) {
@@ -516,7 +516,7 @@
 }
 
 static void
-NVM_WriteFlushList(BOOL write)
+NVM_WriteFlushList(CXT_BOOL write)
 {
     down(&nvmelem_writelist_sem);
     while(!list_empty(&nvmelem_writelist)) {
@@ -549,8 +549,8 @@
     up(&nvmelem_writelist_sem);
 }
 
-static BOOL
-NVM_WriteFile(const char *pathname, PVOID pBuf, UINT32 dwSize, enum NVM_FORMAT nvmFormat)
+static CXT_BOOL
+NVM_WriteFile(const char *pathname, PVOID pBuf, CXT_UINT32 dwSize, enum NVM_FORMAT nvmFormat)
 {
     int err;
     FILE *file;
@@ -572,7 +572,7 @@
     file = OsFOpen(pathname, "w", &err);
     if (!file) {
 	if(err == -EROFS) {
-	    BOOL res;
+	    CXT_BOOL res;
 
 	    //printk(KERN_DEBUG"%s: delaying write %s\n", __FUNCTION__, pathname);
 	    res = NVM_WriteListAppend(pathname, pBuf, dwSize, nvmFormat);
@@ -596,14 +596,14 @@
  * - Sequence of two-digit hex bytes
  * - String enclosed in ""
  */
-static BOOL
-NVM_ReadFile(const char *pathname, PVOID pBuf, UINT32 *pdwSize)
+static CXT_BOOL
+NVM_ReadFile(const char *pathname, PVOID pBuf, CXT_UINT32 *pdwSize)
 {
     int err;
     FILE *file;
     char buf[100], *p, *dp;
-    BOOL stringMode = FALSE;
-    UINT32 l;
+    CXT_BOOL stringMode = FALSE;
+    CXT_UINT32 l;
     int n;
     struct list_head *lh;
     int errno;
@@ -662,23 +662,23 @@
 		if(!isxdigit(*p))
 		    continue;
 
-		/* hack to read COUNTRY_CODE as UINT16 without swapping: */
-		if((p == buf) && (n == 5) && (l >= *pdwSize) && (*pdwSize == sizeof(UINT16)) &&
+		/* hack to read COUNTRY_CODE as CXT_UINT16 without swapping: */
+		if((p == buf) && (n == 5) && (l >= *pdwSize) && (*pdwSize == sizeof(CXT_UINT16)) &&
 			isxdigit(p[1]) && isxdigit(p[2]) &&
 			isxdigit(p[3]) && p[4] == '\n') {
-		    *((UINT16*)dp) = simple_strtoul (p, &p, 16);
+		    *((CXT_UINT16*)dp) = simple_strtoul (p, &p, 16);
 		    dp += 2;
 		    l -= 2;
 		    continue;
 		}
 
-		/* hack to read LICENSE_KEY as UINT32 without swapping: */
-		if((p == buf) && (n == 9) && (l >= *pdwSize) && (*pdwSize == sizeof(UINT32)) &&
+		/* hack to read LICENSE_KEY as CXT_UINT32 without swapping: */
+		if((p == buf) && (n == 9) && (l >= *pdwSize) && (*pdwSize == sizeof(CXT_UINT32)) &&
 			isxdigit(p[1]) && isxdigit(p[2]) &&
 			isxdigit(p[3]) && isxdigit(p[4]) &&
 			isxdigit(p[5]) && isxdigit(p[6]) &&
 			isxdigit(p[7]) && p[8] == '\n') {
-		    *((UINT32*)dp) = simple_strtoul (p, &p, 16);
+		    *((CXT_UINT32*)dp) = simple_strtoul (p, &p, 16);
 		    dp += 4;
 		    l -= 4;
 		    continue;
@@ -716,8 +716,8 @@
     return file ? TRUE : FALSE;
 }
 
-static BOOL
-NVM_ReadStaticParm(POS_DEVNODE pDevNode, const char *name, PVOID pBuf, UINT32 * pdwSize)
+static CXT_BOOL
+NVM_ReadStaticParm(POS_DEVNODE pDevNode, const char *name, PVOID pBuf, CXT_UINT32 * pdwSize)
 {
     char pathname[100];
 
@@ -725,8 +725,8 @@
     return NVM_ReadFile(pathname, pBuf, pdwSize);
 }
 
-static BOOL
-NVM_ReadDynamicParm(POS_DEVNODE pDevNode, const char *name, PVOID pBuf, UINT32 * pdwSize)
+static CXT_BOOL
+NVM_ReadDynamicParm(POS_DEVNODE pDevNode, const char *name, PVOID pBuf, CXT_UINT32 * pdwSize)
 {
     char pathname[100];
 
@@ -734,12 +734,12 @@
     return NVM_ReadFile(pathname, pBuf, pdwSize);
 }
 
-static BOOL
-NVM_ReadCountryParm(POS_DEVNODE pDevNode, int countryt35, UINT8 reference, const char *name, PVOID pBuf, UINT32 * pdwSize)
+static CXT_BOOL
+NVM_ReadCountryParm(POS_DEVNODE pDevNode, int countryt35, CXT_UINT8 reference, const char *name, PVOID pBuf, CXT_UINT32 * pdwSize)
 {
     char pathname[100];
-    BOOL r;
-    UINT32 Size = pdwSize ? *pdwSize : 0;
+    CXT_BOOL r;
+    CXT_UINT32 Size = pdwSize ? *pdwSize : 0;
 
     snprintf(pathname, sizeof(pathname), "%s/%s/Region/%04X%s", cnxt_nvmdir_static, pDevNode->hwProfile, countryt35, name);
     r = NVM_ReadFile(pathname, pBuf, pdwSize);
@@ -752,11 +752,11 @@
 	return r;
 }
 
-static BOOL
+static CXT_BOOL
 NVM_ReadCountry(POS_DEVNODE pDevNode, BYTE daaType, int countryt35, CtryPrmsStruct *ctryPrms)
 {
-    UINT32 dwSize;
-    UINT8 Reference = 0xFF;
+    CXT_UINT32 dwSize;
+    CXT_UINT8 Reference = 0xFF;
 	char *nameTxLevel, *nameRelays;
 
     memset(ctryPrms, 0, sizeof(ctryPrms));
@@ -881,7 +881,7 @@
 
 
 static
-BOOL isDynamicParm(CFGMGR_CODE eCode)
+CXT_BOOL isDynamicParm(CFGMGR_CODE eCode)
 {
     switch(eCode) {
 	case CFGMGR_PROFILE_STORED:
@@ -912,11 +912,11 @@
 
 __shimcall__
 COM_STATUS
-NVM_Read (HANDLE hNVM, CFGMGR_CODE eCode, PVOID pBuf, UINT32 * pdwSize)
+NVM_Read (HANDLE hNVM, CFGMGR_CODE eCode, PVOID pBuf, CXT_UINT32 * pdwSize)
 {
     POS_DEVNODE pDevNode = (POS_DEVNODE)hNVM;
-    BOOL res;
-    UINT32 Size;
+    CXT_BOOL res;
+    CXT_UINT32 Size;
 
     //printk(KERN_DEBUG "%s: pDevNode=%p CfgCode=%s Size=%p\n", __FUNCTION__, pDevNode, eCodeStr(eCode), pdwSize);
 
@@ -996,7 +996,7 @@
     char pathname[100];
     int err;
     char hwProfile[sizeof(pDevNode->hwProfile)];
-    UINT32 uiSize;
+    CXT_UINT32 uiSize;
     char *argv[] = { "/bin/mkdir", "--mode=700", "--parents", pathname, NULL };
     char *envp[] = { "HOME=/", "PATH=/sbin:/bin:/usr/sbin:/usr/bin", NULL };
 
@@ -1019,8 +1019,8 @@
     }
 
     if(!strncmp(pDevNode->hwInstName, "PCI", 3)) {
-	UINT16 pci_id;
-	UINT32 size;
+	CXT_UINT16 pci_id;
+	CXT_UINT32 size;
 
     	size = sizeof(pci_id);
     	pci_id = ((struct pci_dev *)pDevNode->hwDev)->device;
diff -U3 -r hsfmodem-old/modules/osresour.c hsfmodem/modules/osresour.c
--- hsfmodem-old/modules/osresour.c	2006-01-13 22:08:00.000000000 +0000
+++ hsfmodem/modules/osresour.c	2006-02-12 08:08:55.000000000 +0000
@@ -19,9 +19,9 @@
 #ifndef TARGET_HCF_USB_LINUX
 
 __shimcall__
-BOOL OsGetPCIDeviceResources(HANDLE DevNode, 
+CXT_BOOL OsGetPCIDeviceResources(HANDLE DevNode, 
 	POS_PCI_DEV_RES pPhysMem, POS_PCI_DEV_RES pPhysIO1, POS_PCI_DEV_RES pPhysIO2,
-       	BOOL bEnableBusMastering)
+       	CXT_BOOL bEnableBusMastering)
 {			   
     struct pci_dev *pcidev = (struct pci_dev *)DevNode;
     int i, needed = 0;
@@ -81,7 +81,7 @@
 }
 
 __shimcall__
-PVOID OsMapPhysMem(UINT32 dwPhysMemBase, UINT32 dwMemSize)
+PVOID OsMapPhysMem(CXT_UINT32 dwPhysMemBase, CXT_UINT32 dwMemSize)
 {
     PVOID mem;
 
@@ -94,7 +94,7 @@
 }
 
 __shimcall__
-BOOL OsUnmapPhysMem(PVOID dwLinearAddr, UINT32 dwMemSize)
+CXT_BOOL OsUnmapPhysMem(PVOID dwLinearAddr, CXT_UINT32 dwMemSize)
 {
     if(dwLinearAddr != NULL)
 	iounmap((void *)dwLinearAddr);
@@ -102,7 +102,7 @@
 }
 
 __shimcall__
-BOOL OsHookInterrupt(HANDLE DevNode, __kernelcall__ OS_IRQRETURN_T (*isr)(int irq, void *devidp, void *unused), void* devid)
+CXT_BOOL OsHookInterrupt(HANDLE DevNode, __kernelcall__ OS_IRQRETURN_T (*isr)(int irq, void *devidp, void *unused), void* devid)
 {
     struct pci_dev *pcidev = (struct pci_dev *)DevNode;
     const char *devname;
diff -U3 -r hsfmodem-old/modules/osservices.c hsfmodem/modules/osservices.c
--- hsfmodem-old/modules/osservices.c	2006-01-27 12:49:32.000000000 +0000
+++ hsfmodem/modules/osservices.c	2006-02-12 08:09:28.000000000 +0000
@@ -232,7 +232,7 @@
 }
 
 __shimcall__
-BOOL OsLockTry(HLOCK hLock)
+CXT_BOOL OsLockTry(HLOCK hLock)
 {
     unsigned long flags;
 
@@ -278,7 +278,7 @@
 Result: true if newValue was written to the address. 
  ****************************************************************************************/
 __shimcall__
-BOOL OsAtomicCompareAndSwapEx (PVOID oldValue, PVOID newValue, PVOID* address, INT size)
+CXT_BOOL OsAtomicCompareAndSwapEx (PVOID oldValue, PVOID newValue, PVOID* address, INT size)
 {
 #if defined(__HAVE_ARCH_CMPXCHG) && !defined(__powerpc__)
     switch(size) {
@@ -296,7 +296,7 @@
     }
 #else
     unsigned long flags;
-    BOOL ret = FALSE;
+    CXT_BOOL ret = FALSE;
 
     spin_lock_irqsave(&atomic_lock, flags);
 
@@ -339,7 +339,7 @@
 }
 
 __shimcall__
-INT32 OsAtomicAdd   (INT32 amount, PINT32 address)
+CXT_INT32 OsAtomicAdd   (CXT_INT32 amount, PINT32 address)
 {
     unsigned long flags;
     atomic_t *v = (atomic_t *)address;
@@ -353,11 +353,11 @@
 }
 
 __shimcall__
-INT32 OsAtomicIncrement (PINT32 address)
+CXT_INT32 OsAtomicIncrement (PINT32 address)
 {
     unsigned long flags;
     atomic_t *v = (atomic_t *)address;
-    INT32 amount;
+    CXT_INT32 amount;
 
     spin_lock_irqsave(&atomic_lock, flags);
     atomic_inc(v);
@@ -368,11 +368,11 @@
 }
 
 __shimcall__
-INT32 OsAtomicDecrement (PINT32 address)
+CXT_INT32 OsAtomicDecrement (PINT32 address)
 {
     unsigned long flags;
     atomic_t *v = (atomic_t *)address;
-    INT32 amount;
+    CXT_INT32 amount;
 
     spin_lock_irqsave(&atomic_lock, flags);
     atomic_dec(v);
@@ -385,7 +385,7 @@
 struct _OSTHRD {
 	const char *name;
 	int pid;
-	BOOLEAN highestprio;
+	CXT_BOOLEAN highestprio;
 	task_queue tq;
 	wait_queue_head_t wq;
 #ifdef DECLARE_COMPLETION
@@ -551,7 +551,7 @@
 }
 
 static void
-OsThreadStart(OSTHRD *osthrd, const char *name, BOOLEAN highestprio)
+OsThreadStart(OSTHRD *osthrd, const char *name, CXT_BOOLEAN highestprio)
 {
 	memset(osthrd, 0, sizeof(*osthrd));
 
@@ -622,7 +622,7 @@
 
 __shimcall__
 POSTHRD
-OsThreadCreate(const char *name, BOOLEAN highestprio, int *pid)
+OsThreadCreate(const char *name, CXT_BOOLEAN highestprio, int *pid)
 {
 	OSTHRD *osthrd = OsAllocate(sizeof(OSTHRD));
 
@@ -806,7 +806,7 @@
 
 #define TICKS_TO_MSECS(ticks) (ticks*(1000/HZ))
 
-static inline long MSECS_TO_TICKS(UINT32 msecs)
+static inline long MSECS_TO_TICKS(CXT_UINT32 msecs)
 {
     long ticks = (msecs)/(1000/HZ);
 
@@ -820,8 +820,8 @@
 typedef struct TIME_OUT_INSTANCE_TYPE {
     OSSCHED				TaskQueue;
     struct timer_list			Timer;
-    UINT32				mSec;
-    UINT32				bLocked;
+    CXT_UINT32				mSec;
+    CXT_UINT32				bLocked;
     PFREE_FUNC				pFuncFree;
     PVOID				pRefData;
     PCBFUNC				pTimeOutCallBack;
@@ -871,10 +871,10 @@
     }
 }
 
-static INT32 ntimers;
+static CXT_INT32 ntimers;
 
 __shimcall__
-HOSTIMER OsCreatePeriodicTimer(IN UINT32 InitialTimeOut, IN PCBFUNC pTimeOutCallBack,
+HOSTIMER OsCreatePeriodicTimer(IN CXT_UINT32 InitialTimeOut, IN PCBFUNC pTimeOutCallBack,
 	IN PALLOC_FUNC pFuncAlloc, IN PFREE_FUNC pFuncFree,
 	IN PVOID pRefData, OUT HTHREAD* pThreadId)
 {
@@ -982,7 +982,7 @@
 }
 
 __shimcall__
-BOOL OsSetPeriodicTimer(IN HOSTIMER hTimeOut, IN UINT32 NewTimeOut)
+CXT_BOOL OsSetPeriodicTimer(IN HOSTIMER hTimeOut, IN CXT_UINT32 NewTimeOut)
 {
     PTIME_OUT_INSTANCE_T	pTimeOutInstance = (PTIME_OUT_INSTANCE_T)hTimeOut;
 
@@ -1018,7 +1018,7 @@
 static time_t epoch = 0;
 
 __shimcall__
-UINT32 OsGetSystemTime(void)
+CXT_UINT32 OsGetSystemTime(void)
 {
     struct timeval		timestamp;
 
@@ -1028,13 +1028,13 @@
 }
 
 __shimcall__
-void OsSleep(UINT32 ms)
+void OsSleep(CXT_UINT32 ms)
 {
     /* we must schedule() for sleeps >= 10ms since HCF calls us in loops
      * waiting for asynchronous events.
      */
     if(ms >= TICKS_TO_MSECS(1)) {
-	UINT32 start, end;
+	CXT_UINT32 start, end;
 	long timeout = MSECS_TO_TICKS(ms);
 	//long ort = timeout;
 
@@ -1072,12 +1072,12 @@
 
 typedef struct TIMER_TAG
 {
-    UINT32 msec;
+    CXT_UINT32 msec;
     struct timer_list timer;
 } TIMER_T, *PTIMER_T;
 
 __shimcall__
-HANDLE OsCreateTimer(UINT32 msec, __kernelcall__ PVOID pCBFunc, PVOID pRefData)
+HANDLE OsCreateTimer(CXT_UINT32 msec, __kernelcall__ PVOID pCBFunc, PVOID pRefData)
 {
     PTIMER_T pTimer;
 
@@ -1134,7 +1134,7 @@
 }
 
 __shimcall__
-void OsChangeTimerTimeOut(PVOID pTimer, UINT32 msec)
+void OsChangeTimerTimeOut(PVOID pTimer, CXT_UINT32 msec)
 {
     PTIMER_T pTimerS = (PTIMER_T)pTimer;
     if ( pTimer == NULL )
@@ -1206,9 +1206,9 @@
 }
 
 __shimcall__
-UINT32 OsReadCpuCnt(void)
+CXT_UINT32 OsReadCpuCnt(void)
 {
-	UINT32 tsc;
+	CXT_UINT32 tsc;
 
 	rdtscl(tsc);
 
@@ -1248,7 +1248,7 @@
 
 
 __shimcall__
-void    OsRawVPrintf       (LPCSTR szFormat, PVOID args, BOOL addnl)
+void    OsRawVPrintf       (LPCSTR szFormat, PVOID args, CXT_BOOL addnl)
 {
     char printk_buf[1024];
 
@@ -1358,7 +1358,7 @@
 }
 
 #if 0
-void OsDebugDumpData(PUINT8 data, UINT32 len)
+void OsDebugDumpData(PCXT_UINT8 data, CXT_UINT32 len)
 {
     OsDebugPrintf("%s: data=%p len=%ld\n", __FUNCTION__, data, len);
 }
@@ -1471,7 +1471,7 @@
 
 // waits until event is set by OsEventSet() call or timeout (ms) has passed
 __shimcall__
-OSEVENT_WAIT_RESULT OsEventWaitTime(HOSEVENT hEvent, UINT32 timeout)
+OSEVENT_WAIT_RESULT OsEventWaitTime(HOSEVENT hEvent, CXT_UINT32 timeout)
 {
 	PEVENT pEvent = (PEVENT)hEvent;
 	DECLARE_WAITQUEUE(wait, current);
@@ -1613,7 +1613,7 @@
 #if (__GNUC__ == 3 && __GNUC_MINOR__ > 1) || __GNUC__ > 3
 __attribute__((used))
 #endif
-static void regParmUsed(BOOL *regParm)
+static void regParmUsed(CXT_BOOL *regParm)
 {
 #if defined(__i386__)
 	register void **esp asm("esp") = esp;
@@ -1625,10 +1625,10 @@
 }
 
 __shimcall__
-BOOL
+CXT_BOOL
 OsKernelUsesRegParm(void)
 {
-	BOOL regParm;
+	CXT_BOOL regParm;
 
 	regParmUsed(&regParm);
 
diff -U3 -r hsfmodem-old/modules/osstring.c hsfmodem/modules/osstring.c
--- hsfmodem-old/modules/osstring.c	2006-01-13 19:23:50.000000000 +0000
+++ hsfmodem/modules/osstring.c	2006-02-12 08:08:56.000000000 +0000
@@ -13,25 +13,25 @@
 #include "osservices.h"
 
 __shimcall__
-PVOID OsMemSet(PVOID pBuf, UINT8 c, UINT32 Count)
+PVOID OsMemSet(PVOID pBuf, CXT_UINT8 c, CXT_UINT32 Count)
 {
     return memset(pBuf, c, Count);
 }
 
 __shimcall__
-PVOID OsMemMove(PVOID pDest, PVOID pSrc, UINT32 Count)
+PVOID OsMemMove(PVOID pDest, PVOID pSrc, CXT_UINT32 Count)
 {
     return memmove(pDest, pSrc, Count);
 }
 
 __shimcall__
-PVOID OsMemCpy(PVOID pDest, PVOID pSrc, UINT32 Count)
+PVOID OsMemCpy(PVOID pDest, PVOID pSrc, CXT_UINT32 Count)
 {
     return memcpy(pDest, pSrc, Count);
 }
 
 __shimcall__
-int OsMemCmp(PVOID pBuff1, PVOID pBuff2, UINT32 Count)
+int OsMemCmp(PVOID pBuff1, PVOID pBuff2, CXT_UINT32 Count)
 {
     return memcmp(pBuff1, pBuff2, Count);
 }
@@ -67,7 +67,7 @@
 }
 
 __shimcall__
-int OsStrnCmp(LPCSTR szStr1, LPCSTR szStr2, UINT32 Count)
+int OsStrnCmp(LPCSTR szStr1, LPCSTR szStr2, CXT_UINT32 Count)
 {
     return strncmp(szStr1, szStr2, Count);
 }
diff -U3 -r hsfmodem-old/modules/osusb.c hsfmodem/modules/osusb.c
--- hsfmodem-old/modules/osusb.c	2006-01-27 12:49:32.000000000 +0000
+++ hsfmodem/modules/osusb.c	2006-02-12 08:08:57.000000000 +0000
@@ -38,7 +38,7 @@
 #endif
 
 //#undef dbg
-//#define dbg(format, arg...) { UINT32 dwTime = OsGetSystemTime(); printk(KERN_DEBUG "%07lu.%03lu: "__FILE__ ": " format "\n" , dwTime/1000, dwTime%1000, ## arg); }
+//#define dbg(format, arg...) { CXT_UINT32 dwTime = OsGetSystemTime(); printk(KERN_DEBUG "%07lu.%03lu: "__FILE__ ": " format "\n" , dwTime/1000, dwTime%1000, ## arg); }
 //#define dbg(format, arg...) do {} while (0)
 
 #define Working TRUE
@@ -109,7 +109,7 @@
 	}
 }
 
-static BOOL
+static CXT_BOOL
 SubmitUrbListEntry(PURB_LIST_ENTRY ule)
 {
 	int res;
@@ -204,7 +204,7 @@
 	}
 
 	if(bufferSize) {
-		ule->bufferPtr = (PUINT8)(ule + 1);
+		ule->bufferPtr = (PCXT_UINT8)(ule + 1);
 		ule->bufferSize = bufferSize;
 	}
 
@@ -271,7 +271,7 @@
 	}
 }
 
-static BOOL InitUrbList(PURB_LIST ul, PUSBOSHAL pUsbOsHal, size_t bufferSize, int nurbs)
+static CXT_BOOL InitUrbList(PURB_LIST ul, PUSBOSHAL pUsbOsHal, size_t bufferSize, int nurbs)
 {
 	INIT_LIST_HEAD(&ul->urb_list);
 	INIT_LIST_HEAD(&ul->queued_list);
@@ -315,10 +315,10 @@
 ******************************************************************************/
 __shimcall__
 HANDLE OsUsbCreateInstance (PVOID pDeviceID, HANDLE hUpper,
-		__shimcall__ BOOL (*cbUsbHalNotificationReceived) (PVOID hUpper, PUINT8 pDataReceived, unsigned RecvLength),
-		__shimcall__ void (*cbUsbHalDataReceived)			(PVOID hUpper, PUINT8 pDataReceived, unsigned RecvLength),
+		__shimcall__ CXT_BOOL (*cbUsbHalNotificationReceived) (PVOID hUpper, PCXT_UINT8 pDataReceived, unsigned RecvLength),
+		__shimcall__ void (*cbUsbHalDataReceived)			(PVOID hUpper, PCXT_UINT8 pDataReceived, unsigned RecvLength),
 		__shimcall__ void (*cbUsbHalDataTransmitDone)		(PVOID hUpper, unsigned TxLength),
-		__shimcall__ void (*cbUsbHalControlTransferDone)	(PVOID hUpper, PVOID userContext, UINT8 Request, UINT16 value, UINT16 index),
+		__shimcall__ void (*cbUsbHalControlTransferDone)	(PVOID hUpper, PVOID userContext, CXT_UINT8 Request, CXT_UINT16 value, CXT_UINT16 index),
 #if TARGET_HCF_FAMILY
 		__shimcall__ void (*cbUsbHalDownloadTransmitDone) (PVOID hUpper),
 #endif
@@ -438,7 +438,7 @@
 	unsigned char info[5];
 #endif
 	int fwSize;
-	PUINT8 pC2Firmware;
+	PCXT_UINT8 pC2Firmware;
 
 	dbg("%s: %p", __FUNCTION__, pUsbOsHal);
 
@@ -514,7 +514,7 @@
 
 		i = 0;
 		while (i<fwSize) {
-			UINT32 nBytes = fwSize - i;
+			CXT_UINT32 nBytes = fwSize - i;
 			
 			if(nBytes > FW_BLOCK_SIZE)
 				nBytes = FW_BLOCK_SIZE;
@@ -601,7 +601,7 @@
 
 ******************************************************************************/
 __shimcall__
-BOOL OsUsbIsStarted (HANDLE hUsbOsHal)
+CXT_BOOL OsUsbIsStarted (HANDLE hUsbOsHal)
 {
 	PUSBOSHAL pUsbOsHal = (PUSBOSHAL)hUsbOsHal;
 
@@ -925,7 +925,7 @@
 	int UsbStatus = urb->status;
 	// save a copy of data and received length
     int UsbRecvLength = urb->actual_length;
-	PUINT8 pDataReceived = urb->transfer_buffer;
+	PCXT_UINT8 pDataReceived = urb->transfer_buffer;
 
 	dbg("%s: ule=%p urb=%p UsbStatus=%d UsbRecvLength=%d", __FUNCTION__, ule, urb, UsbStatus, UsbRecvLength);
 
@@ -1021,7 +1021,7 @@
 
 ******************************************************************************/
 __shimcall__
-BOOL OsUsbMakeDataReceiveRequest	(HANDLE hUsbOsHal, PVOID pBuf, UINT32 nBytes)
+CXT_BOOL OsUsbMakeDataReceiveRequest	(HANDLE hUsbOsHal, PVOID pBuf, CXT_UINT32 nBytes)
 {
 	PUSBOSHAL pUsbOsHal = (PUSBOSHAL)hUsbOsHal;
 	PURB_LIST_ENTRY ule;
@@ -1077,7 +1077,7 @@
 
 ******************************************************************************/
 __shimcall__
-BOOL OsUsbMakeDataTransmitRequest	(HANDLE hUsbOsHal, HANDLE hRequest, PVOID pBuf, UINT32 nBytes)
+CXT_BOOL OsUsbMakeDataTransmitRequest	(HANDLE hUsbOsHal, HANDLE hRequest, PVOID pBuf, CXT_UINT32 nBytes)
 {
 	PUSBOSHAL pUsbOsHal = (PUSBOSHAL)hUsbOsHal;
 	PURB_LIST_ENTRY ule = (PURB_LIST_ENTRY)hRequest;
@@ -1120,7 +1120,7 @@
 
 ******************************************************************************/
 __shimcall__
-BOOL OsUsbMakeDownloadTransmitRequest	(HANDLE hUsbOsHal, PVOID pBuf, UINT32 nBytes)
+CXT_BOOL OsUsbMakeDownloadTransmitRequest	(HANDLE hUsbOsHal, PVOID pBuf, CXT_UINT32 nBytes)
 {
 	PUSBOSHAL pUsbOsHal = (PUSBOSHAL)hUsbOsHal;
 	PURB_LIST_ENTRY ule;
@@ -1309,13 +1309,13 @@
 
 ******************************************************************************/
 __shimcall__
-BOOL OsUsbMakeControlRequest (HANDLE hUsbOsHal, HANDLE hCntrlReq, IN PVOID userContext, UINT8 Request, UINT16 Value, UINT16 Index,
-							  IN PVOID pBuf, IN UINT32 nBytes)
+CXT_BOOL OsUsbMakeControlRequest (HANDLE hUsbOsHal, HANDLE hCntrlReq, IN PVOID userContext, CXT_UINT8 Request, CXT_UINT16 Value, CXT_UINT16 Index,
+							  IN PVOID pBuf, IN CXT_UINT32 nBytes)
 {
 	PUSBOSHAL pUsbOsHal = (PUSBOSHAL)hUsbOsHal;
 	PURB_LIST_ENTRY ule;
 	USB_CTRLREQUEST *dr;
-	UINT16 snBytes = (UINT16)nBytes;
+	CXT_UINT16 snBytes = (CXT_UINT16)nBytes;
 
 	dbg("%s: ule=%p req=0x%x val=%d idx=%d pbuf=%p len=%ld", __FUNCTION__, hCntrlReq, Request, Value, Index, pBuf, nBytes);
 
@@ -1399,12 +1399,12 @@
 
 ******************************************************************************/
 __shimcall__
-BOOL OsUsbMakeControlRequestSync		(HANDLE hUsbOsHal, IN UINT8 Direction, UINT8 Request, UINT16 Value, UINT16 Index,
+CXT_BOOL OsUsbMakeControlRequestSync		(HANDLE hUsbOsHal, IN CXT_UINT8 Direction, CXT_UINT8 Request, CXT_UINT16 Value, CXT_UINT16 Index,
 										IN PVOID pBuf, IO PUINT32 pnBytes)
 {
 	PUSBOSHAL pUsbOsHal = (PUSBOSHAL)hUsbOsHal;
 	int ret;
-	UINT8 ControlRequestBuffer[MAX_CONTROL_DATA_PACKET];
+	CXT_UINT8 ControlRequestBuffer[MAX_CONTROL_DATA_PACKET];
 
 	dbg("%s: req=0x%x dir=%d val=%d idx=%d pbuf=%p len=%ld", __FUNCTION__, Request, Direction, Value, Index, pBuf, *pnBytes);
 
@@ -1442,9 +1442,9 @@
 
 #if 0
 __shimcall__
-BOOL OsUsbMakeGetStringDescriptorRequestSync(
+CXT_BOOL OsUsbMakeGetStringDescriptorRequestSync(
 	HANDLE hUsbOsHal,
-	IN UINT8 uStrIndex,	// String Descriptor Index
+	IN CXT_UINT8 uStrIndex,	// String Descriptor Index
 	IN PVOID pBuf,
 	IN OUT PUINT32 pnBytes)
 {
@@ -1478,7 +1478,7 @@
 
 ******************************************************************************/
 __shimcall__
-BOOL OsUsbMakeNotifyRequest	(HANDLE hUsbOsHal)
+CXT_BOOL OsUsbMakeNotifyRequest	(HANDLE hUsbOsHal)
 {
 	PUSBOSHAL pUsbOsHal = (PUSBOSHAL)hUsbOsHal;
 	PURB_LIST_ENTRY ule;
@@ -1569,7 +1569,7 @@
 }
 
 __shimcall__
-BOOL OsUsbAllocateUrbs (PUSBOSHAL pUsbOsHal)
+CXT_BOOL OsUsbAllocateUrbs (PUSBOSHAL pUsbOsHal)
 {
 	dbg("%s: %p", __FUNCTION__, pUsbOsHal);
 
@@ -1665,14 +1665,14 @@
 {
     HANDLE	hHalOs;
 
-    BOOL	fOn;
+    CXT_BOOL	fOn;
 	int		nBufNo;
 
 	PIO_WORKITEM	pWorkItem;
 
-    UINT16  Buffer[2][DCP_BLOCK_SIZE];
-    UINT32  dwCount;
-	UINT32	hFile;
+    CXT_UINT16  Buffer[2][DCP_BLOCK_SIZE];
+    CXT_UINT32  dwCount;
+	CXT_UINT32	hFile;
 
 } DCP, *PDCP;
 
@@ -1708,7 +1708,7 @@
 {
     PDCP pDcp = (PDCP)Context;
 	if (pDcp->fOn && pDcp->hFile)
-		R0FileWrite(pDcp->hFile, (UINT8*)pDcp->Buffer[1-pDcp->nBufNo], sizeof(pDcp->Buffer[0]));
+		R0FileWrite(pDcp->hFile, (CXT_UINT8*)pDcp->Buffer[1-pDcp->nBufNo], sizeof(pDcp->Buffer[0]));
 }
 
 __shimcall__
@@ -1732,7 +1732,7 @@
 		pDcp->fOn = FALSE;
 		if(pDcp->hFile)
 		{
-		   R0FileWrite(pDcp->hFile, (UINT8*)pDcp->Buffer[pDcp->nBufNo], 2*pDcp->dwCount);
+		   R0FileWrite(pDcp->hFile, (CXT_UINT8*)pDcp->Buffer[pDcp->nBufNo], 2*pDcp->dwCount);
 		   R0FileClose(pDcp->hFile);
 		   pDcp->hFile = 0;
 		}
@@ -1807,7 +1807,7 @@
 
 ******************************************************************************/
 __shimcall__
-BOOL OsUsbMakeDcpRequest(HANDLE hOsHal, PVOID pBuf, UINT32 nBytes)
+CXT_BOOL OsUsbMakeDcpRequest(HANDLE hOsHal, PVOID pBuf, CXT_UINT32 nBytes)
 {
 	PIRP irp;
 	PURB urb;
